% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{quote}
\alias{quote}
\alias{.}
\title{Quote Operator}
\usage{
.(expr)
}
\arguments{
\item{expr}{any syntactically valid \R expression.}
}
\value{
The quoted (unevaluated) expression.
}
\description{
Shorthand notation for the \code{\link[base:substitute]{quote}} function.
The quote operator simply returns its argument unevaluated and can be applied
to any \R expression.  Useful for calling model constructors with quoted
parameter values that are defined in terms of \code{nobs}, \code{nvars}, or
\code{y}.
}
\examples{
## Stepwise variable selection with BIC
glm_fit <- fit(sale_amount ~ ., ICHomes, GLMStepAICModel(k = .(log(nobs))))
varimp(glm_fit)

}
\seealso{
\code{\link[base:substitute]{quote}}
}
